#
# Copyright (c) 2015-2022 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from zope.schema import Bool

from pyams_content.features.search.portlet import ISearchResultsPortletSettings

from onf_website import _


class IForestHubsSearchResultsPortletSettings(ISearchResultsPortletSettings):
    """Forest hubs search results portlet settings"""

    first_page_only = Bool(title=_("First page only?"),
                           description=_("If 'no', search results will be displayed on each "
                                         "search results page"),
                           required=True,
                           default=True)
